> For the complete documentation index, see [llms.txt](https://uci.sunbird.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://uci.sunbird.org/use/adopter/api-documentation.md).

# API Documentation

**I want to use UCI for my own use case how do I proceed?**

1. Setup UCI on your infra - [Steps](/use/adopter/pre-requisites-installation-setup-post-setup.md)
2. Is the channel and provider you want to use is already supported in UCI?
   1. **If yes** -> Follow [these steps](https://uci.sunbird.org/use/adopter/pages/iyh1Cgn2i7ue92G4ym2v#2.1-add-adapter) to add your adapter along with your own credentials for the platform
   2. **If No** -> Follow [these steps](https://uci.sunbird.org/use/adopter/pages/3IrzE78Ty9mUiLsrjHGd#3.-creating-your-own-adapters) to contribute a new adapter and then follow the step above
3. Follow these steps to [create your own bot](/use/adopter/setting-up-your-very-first-conversation.md)

**In my use case, I want to send direct notifications to the users, I do not want to create a complete conversation flow. How Can I achieve this?**

1. Setup UCI on your infra - [Steps](/use/adopter/pre-requisites-installation-setup-post-setup.md)
2. Is the channel and provider you want to use is already supported in UCI?
   1. **If yes** -> Follow [these steps](https://uci.sunbird.org/use/adopter/pages/iyh1Cgn2i7ue92G4ym2v#2.1-add-adapter) to add your adapter along with your own credentials for the platform
   2. **If No** -> Follow [these steps](https://uci.sunbird.org/use/adopter/pages/3IrzE78Ty9mUiLsrjHGd#3.-creating-your-own-adapters) to contribute a new adapter and then follow the step above
3. Follow the [direct Message APIs](/use/developer/api-documentation/direct-message-apis.md) to send the messages directly


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://uci.sunbird.org/use/adopter/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
